Subject: Re: ISO 639 (Language Codes) update status

From: TE Khai-su <[email-masked]>
Date: Tue, 26 Nov 1996 22:13:45 -0800

Alain LaBont/e'/ wrote:

> [Alain] :
> This is one of the reasons why this 3-letter code was never agreed as an
> international standard and is prahps not agreeable, as it is sensitive
> matter. The two letter codes would be incompatible... What would be the link
> between "de" and GER" or between "es" and "SPA" ?

I was trying to keep track of what's going on with ISO 639-2.  Now that
it is pushed aside, I am sad.  639-1 would not be able to contain all 
the languages (if it ever intended to do so) for 26^2 = 676, and I 
think that even with a definition of the strictest threshold, there 
are more than 676 languages on this planet.

> [Alain] :
> I would agree with using the IPA (international phonetic alphabet) to
> simplify. In the meanwhile, if ASCII is the restriction then we should use,
> as a more international compromise, the abbreviation of the transliterated
> form of the name of the language in that language and in case of rare
> collisions use other abbreviated forms for one of the matching occurrences
> such as (XX1, XX2, and so on). Otherwise it is too much anglocentric.

Indeed.  I am looking forward to a 3-letter code (ISO 646 is probably 
a decent compromise, and 26^3 = 17 576), as mnemonic in the represented 
language as possible.  This should not be so hard to do.

Would anyone more familiar with the ongoings of ISO 639 (639-1 and
639-2) kindly inform us the status of these standards?
-- 
hlo: TE3, Khai2-su7 | hak: TAI4, Khai3-si4
http://nanigani.caltech.edu